curl 'https://api.sandbox.uqpay.org/api/v1/cards/570f6e4b-8ec6-41ce-9481-915c03cffdc9/secure' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": {
"card_cvv2": "786",
"card_expire_date": "10/25",
"card_number": "9333019900054387"
}
}
Cards
Retrieve sensitive card details
Retrieves the secure information for a specific card identified by card_id. This information includes details such as expire date and CVV2.
GET
/
api
/
v1
/
cards
/
{card_id}
/
secure
curl 'https://api.sandbox.uqpay.org/api/v1/cards/570f6e4b-8ec6-41ce-9481-915c03cffdc9/secure' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": {
"card_cvv2": "786",
"card_expire_date": "10/25",
"card_number": "9333019900054387"
}
}
Header
string
required
x-client-id.string
required
Bearer
YOUR_TOKEN_HERE.Parameters
string
required
Unique Identifier for card.
Response
number
Indicates whether the call was successful. 200 if successful, 400 if not.
string
Response Message. “Success” if successful, others not.
curl 'https://api.sandbox.uqpay.org/api/v1/cards/570f6e4b-8ec6-41ce-9481-915c03cffdc9/secure' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": {
"card_cvv2": "786",
"card_expire_date": "10/25",
"card_number": "9333019900054387"
}
}